package nuts.core.beans;

import java.util.ArrayList;
import java.util.HashMap;

import junit.framework.TestCase;

public class BeanHandlerFactoryTest extends TestCase {
	
	public void testBeanHandler() throws Exception {
		BeanHandlerFactory bhf = new BeanHandlerFactory();
		
		BeanHandler bh = bhf.getBeanHandler(HashMap.class);
		assertEquals(bh.getClass(), MapBeanHandler.class);

		bh = bhf.getBeanHandler(ArrayList.class);
		assertEquals(bh.getClass(), ListBeanHandler.class);
	}
}
